function showFeFunction(mesh,u,type)

%-------------------------------------------------------------------------
if nargin==2
    trisurf(mesh.elem,mesh.node(:,1),mesh.node(:,2),u(1:size(mesh.node,1),1));
else
    trisurf(mesh.elem,mesh.node(:,1),mesh.node(:,2),u(1:size(mesh.node,1),1),...
        'FaceColor', 'interp', 'EdgeColor', 'interp');
end
